%define upstream_name    Time-Elapsed
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Converts elapsed seconds into a string
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module transforms the elapsed seconds into a human readable string. It
can be used for (for example) rendering 'uptime' values into a human
readable form. The resulting string will be an approximation. See the the
/CAVEATS manpage section for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README SPEC
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-7.mga6
+ Revision: 1035265
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.310.0-6.mga6
+ Revision: 941279
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 741265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 686695
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-3.mga4
+ Revision: 515640
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 374351
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 308768
- imported package perl-Time-Elapsed


* Sun Oct 21 2012 cpan2dist 0.31-1mga
- initial mageia release, generated with cpan2dist
